Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.launcher
Class Main

    java.lang.Object
      org.eclipse.core.launcher.Main

public class Main
extends Object

The launcher for Eclipse.

Field Summary
`protected String` | `bootLocation` The location of the launcher to run.
`protected URL` | `configurationLocation` The location of the configuration information for this instance
`protected boolean` | `debug` Indicates whether this instance is running in debug mode.
`protected String` | `devClassPath` The extra development time class path entries.
`protected static String` | `ENTRY`
`protected static int` | `ERROR`
`protected String` | `framework` The id of the bundle that will contain the framework to run.
`protected boolean` | `inDevelopmentMode` Indicates whether this instance is running in development mode.
`protected URL` | `installLocation` The location of the install root
`protected BufferedWriter` | `log`
`protected File` | `logFile`
`protected static String` | `MESSAGE`
`protected boolean` | `newSession`
`protected String` | `parentConfigurationLocation` The location of the configuration information in the install root
`protected static String` | `PLUGIN_ID`
`protected static String` | `SESSION`
`protected static String` | `STACK`

Constructor Summary
`Main()`

Method Summary
`protected Object` | `basicRun(String[] args)` Executes the launch.
`static void` | `main(String argString)` Runs this launcher with the arguments specified in the given string.
`static void` | `main(String[] args)` Runs the platform with the given arguments.
`protected String[]` | `processCommandLine(String[] args)` Processes the command line arguments.
`int` | `run(String[] args)` Runs the platform with the given arguments.
`protected void` | `takeDownSplash()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected boolean debug

  Indicates whether this instance is running in debug mode.

### bootLocation

    protected String bootLocation

  The location of the launcher to run.

### installLocation

    protected URL installLocation

  The location of the install root

### configurationLocation

    protected URL configurationLocation

  The location of the configuration information for this instance

### parentConfigurationLocation

    protected String parentConfigurationLocation

  The location of the configuration information in the install root

### framework

    protected String framework

  The id of the bundle that will contain the framework to run. Defaults to org.eclipse.osgi.

### devClassPath

    protected String devClassPath

  The extra development time class path entries.

### inDevelopmentMode

    protected boolean inDevelopmentMode

  Indicates whether this instance is running in development mode.

### SESSION

    protected static final String SESSION

See Also:
  Constant Field Values

### ENTRY

    protected static final String ENTRY

See Also:
  Constant Field Values

### MESSAGE

    protected static final String MESSAGE

See Also:
  Constant Field Values

### STACK

    protected static final String STACK

See Also:
  Constant Field Values

### ERROR

    protected static final int ERROR

See Also:
  Constant Field Values

### PLUGIN_ID

    protected static final String PLUGIN_ID

See Also:
  Constant Field Values

### logFile

    protected File logFile

### log

    protected BufferedWriter log

### newSession

    protected boolean newSession

Constructor Detail

### Main

    public Main()

Method Detail

### basicRun

    protected Object basicRun(String[] args)
                       throws Exception

  Executes the launch.

  Parameters:
    `args` - command-line arguments
  Returns:
    the result of performing the launch
  Throws:
    `Exception` - thrown if a problem occurs during the launch

### main

    public static void main(String argString)

  Runs this launcher with the arguments specified in the given string.

  Parameters:
    `argString` - the arguments string

### main

    public static void main(String[] args)

  Runs the platform with the given arguments. The arguments must identify an application to run (e.g., `-application com.example.application`). After running the application `System.exit(N)` is executed. The value of N is derived from the value returned from running the application. If the application's return value is an `Integer`, N is this value. In all other cases, N = 0.

  Clients wishing to run the platform without a following `System.exit` call should use `run()`.

  Parameters:
    `args` - the command line arguments
  See Also:
    `run(String[])`

### run

    public int run(String[] args)

  Runs the platform with the given arguments. The arguments must identify an application to run (e.g., `-application com.example.application`). Returns the value returned from running the application. If the application's return value is an `Integer`, N is this value. In all other cases, N = 0.

  Parameters:
    `args` - the command line arguments

### processCommandLine

    protected String[] processCommandLine(String[] args)

  Processes the command line arguments. The general principle is to NOT consume the arguments and leave them to be processed by Eclipse proper. There are a few args which are directed towards main() and a few others which we need to know about. Very few should actually be consumed here.

  Parameters:
    `args` - the command line arguments
  Returns:
    the arguments to pass through to the launched application

### takeDownSplash

    protected void takeDownSplash()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.